Bug 1165700 - Transactions log store probe fails with JDK1.8
Summary: Transactions log store probe fails with JDK1.8
Status: VERIFIED
Alias: None
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Transaction Manager
Version: 6.4.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: DR12
: EAP 6.4.0
Assignee: Michael
QA Contact: Hayk Hovsepyan
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: java8 1167917 1170567
TreeView+ depends on / blocked
 
Reported: 2014-11-19 14:10 UTC by Hayk Hovsepyan
Modified: 2019-01-01 03:43 UTC (History)
6 users (show)

(edit)
Clone Of:
: 1170567 (view as bug list)
(edit)
Last Closed:


Attachments (Terms of Use)
probelog.txt (5.00 KB, text/plain)
2014-11-19 14:10 UTC, Hayk Hovsepyan
no flags Details
tx-object-store-after1st (3.24 KB, application/zip)
2014-11-20 17:04 UTC, Hayk Hovsepyan
no flags Details
tx-object-store-final (4.06 KB, application/zip)
2014-11-20 17:05 UTC, Hayk Hovsepyan
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker JBTM-2302 Major Closed Tooling can create two mbeans for a CMR record 2017-12-07 22:53 UTC

Description Hayk Hovsepyan 2014-11-19 14:10:56 UTC
Created attachment 958970 [details]
probelog.txt

Description of problem:
When there is TX log in log store, transaction's log store probe action fails with exception: attached probelog.txt


Version-Release number of selected component (if applicable):
EAP 6.4.0.DR10

How reproducible:
While running ToolingCMRTestCase scenarios on JDK1.8 it starts failing starting with second scenario. When only one scenario is run, it always passes.

Steps to Reproduce:
1. Transaction with TestXAResource and CMR Resource.
2. Crash the server at phase2Commit phase entry on BasicAction.
3. Reboot the server and block periodic recovery.
4. Call "probe log" for transaction's log store. You will see that it will fail.

Comment 3 Michael 2014-11-20 16:35:09 UTC
I am unable to duplicate your issue since all of the tests fail with: AssertionError: Expects two participants of the tx expected:<2> but was:<0> which is different from the error mentioned in this BZ.

These tests are quite complicated to understand so could you simplify the test case as follows: Instead of multiple runs of the server could you take a copy of the data/tx-object-store directory during the final server run and after running the first test. The test case would then be a single test and would not require the presence of state left over from a previous test in order for the error to manifest.

Comment 4 Hayk Hovsepyan 2014-11-20 17:04:36 UTC
Created attachment 959445 [details]
tx-object-store-after1st

Comment 5 Hayk Hovsepyan 2014-11-20 17:05:03 UTC
Created attachment 959446 [details]
tx-object-store-final

Comment 6 Hayk Hovsepyan 2014-11-20 17:08:27 UTC
I have attached "tx-object-store" content adter the run of first test case, and after the run of second (failed) test case.

Comment 7 JBoss JIRA Server 2014-11-26 10:31:17 UTC
Michael Musgrove <mmusgrov@redhat.com> updated the status of jira JBTM-2302 to Resolved

Comment 8 tom.jenkinson 2014-11-26 16:35:13 UTC
Hi Hayk,

Please can you update me when you have checked Mikes fix - I will do the release then - thanks!

Tom

Comment 9 Hayk Hovsepyan 2014-11-26 17:14:49 UTC
Hi Tom,

I have checked Mike's fix locally on jdk1.8.0_11 and it worked.
All Tooling tests were passed.

Thanks,
Hayk.

Comment 10 tom.jenkinson 2014-11-26 17:25:53 UTC
Thanks Hayk - I will merge and release in the morning

Comment 17 Hayk Hovsepyan 2014-12-04 18:54:10 UTC
Verified on revision EAP 6.4.0.DR12

Comment 18 JBoss JIRA Server 2014-12-11 15:54:05 UTC
Tom Jenkinson <tom.jenkinson@redhat.com> updated the status of jira JBTM-2302 to Closed


Note You need to log in before you can comment on or make changes to this bug.